;**********************************************************************
;* Filename:	template.asm
;* Project:		EPROM emulator
;* Date:		05 June 2005
;* Version:		0.1
;* Author:		Philip Pemberton
;* 
;* Template file
;**********************************************************************

	include	"config.inc"		; Device configuration

;**********************************************************************
;** HEADERS
;**********************************************************************

;**********************************************************************
;** CONSTANTS
;**********************************************************************

lbank		equ		0	;register bank for the local state of this module
lbankadr	equ		bankadr(lbank)	;address within local state register bank

;**********************************************************************
;** RAM VARIABLES
;**********************************************************************

; Global state.
	defram	gbankadr

; Local state
	defram	lbankadr

;**********************************************************************
;** SUBROUTINES
;**********************************************************************
.template	CODE				; Code segment

;----------------------------------
; Subroutine:	Template_XYZ
; Inputs:
;	None
; Outputs:
;	None
; Function:
;	XYZ
	glbsub	template_XYZ
; code goes here
	leave

	END

