;**********************************************************************
;* Filename:	mac_table.inc
;* Project:		EPROM emulator
;* Date:		05 June 2005
;* Version:		0.1
;* Author:		Philip Pemberton
;* 
;* Table handling macros.
;**********************************************************************

;**********************************************************************
;** EXTERNS
;**********************************************************************

	extern	table_Low
	extern	table_High

;**********************************************************************
;** MACROS
;**********************************************************************

;----------------------------------
; Macro:	LoadTblOfs
; Parameters:
;	table	=	Address of the start of the table
; Returns:
;	table_High and table_Low set to high/low bytes of the table address.
;
LoadTblOfs	MACRO	table
	movlw	HIGH table
	movwf	table_High
	movlw	LOW table
	movwf	table_Low
			ENDM
